<!-- app-component does same job as content component in jobbometern-->

<div class="navigation-top ff-didact-gothic" fxLayout="row" >
  <div fxLayout="row" fxLayoutAlign="start center" fxFlex="100" class="headline">Demo - JobEd Connect API</div>
  <div fxLayoutAlign="end center">
    <div class="linkitem"><a href="{{backendUrl}}" target="educationapi">API</a></div>
    <div class="linkitem"><a href="https://gitlab.com/arbetsformedlingen/education" target="educationsourcecode">K&auml;llkod</a></div>
    <div class="linkitem" *ngIf="debug">Version:&nbsp;{{frontendVersion}}</div>
  </div>
</div>
<mat-tab-group mat-stretch-tabs="false" mat-align-tabs="start" color="accent">

  <mat-tab label="S&ouml;k utbildningar och visa relaterade yrken">
    <!-- search educations part: -->
    <div class="content" fxLayout="row" fxLayoutAlign="center stretch">
      <div fxFlex="100%" fxFlex.gt-xs="100%">
        <div class="content-top">
          <div class="py-4">
            <app-search-education class="inputs-container" #search></app-search-education>
          </div>
        </div>
      </div>
    </div>

    <div class="pt-2 content-bottom">
      <div fxFlex fxLayout="row" fxLayout.lt-sm="column">
        <div fxFlex="100%" fxFlex.gt-sm="45%" fxFlex.gt-md="30%" class="content-bottom-left-col">
          <app-search-education-result #educationsList
                                       (education)="updateEducationInfo($event)"></app-search-education-result>
        </div>
        <div fxFlex="100%" fxFlex.gt-sm="55%" fxFlex.gt-md="70%" class="content-bottom-right-col">
          <div fxLayout="column" fxLayoutAlign=" none">
            <app-search-education-details [educationInput]="educationLight"
                                          class="app-education-info"></app-search-education-details>
            <app-search-education-match-occupations [educationInput]="educationLight" class="app-match-occupations"
            ></app-search-education-match-occupations>
          </div>
        </div>
      </div>
    </div>

  </mat-tab>

  <mat-tab label="Visa relaterade yrken utifrån utbildningstext">
    <div class="content" fxLayout="row" fxLayoutAlign="center stretch">
      <div fxFlex="100%" fxFlex.gt-xs="100%">
        <div class="content-top">
          <div class="py-4">
            <app-match-occupations-by-education-text></app-match-occupations-by-education-text>
          </div>
        </div>
      </div>
    </div>

    <div class="pt-2 content-bottom">
      <div fxFlex fxLayout="row" fxLayout.lt-sm="column">
          <app-match-occupations-by-education-text-result></app-match-occupations-by-education-text-result>
      </div>
    </div>

  </mat-tab>

  <mat-tab label="Sök matchande utbildningar utifrån yrke">
    <!-- match educations from occupation/jobtitle: -->
    <div class="content" fxLayout="row" fxLayoutAlign="center stretch">
      <div fxFlex="100%" fxFlex.gt-xs="100%">
        <div class="content-top">
          <div class="py-4">
            <app-match-educations-by-occupation class="inputs-container" #search></app-match-educations-by-occupation>
          </div>
        </div>
      </div>
    </div>

    <div class="pt-2 content-bottom">
      <div fxFlex fxLayout="row" fxLayout.lt-sm="column">
        <div fxFlex="100%" fxFlex.gt-sm="45%" fxFlex.gt-md="30%" class="content-bottom-left-col">
          <app-match-educations-by-occupation-result #educationsList
                                                     (education)="updateEducationResultInfo($event)"></app-match-educations-by-occupation-result>

        </div>
        <div fxFlex.gt-sm="55%" fxFlex.gt-md="70%" class="content-bottom-right-col">
          <div fxLayout="column" fxLayoutAlign=" none">
            <app-match-educations-by-occupation-details [educationLightInput]="educationResultLight"
                                                        class="app-education-info"></app-match-educations-by-occupation-details>

          </div>
        </div>
      </div>
    </div>
  </mat-tab>


</mat-tab-group>


<!-- end of educations part -->
<!--<router-outlet></router-outlet>-->
